class DealsController < ApplicationController

  before_filter :set_current_user

  def show
    id = params[:id] # retrieve deal ID from URI route
    @deal = Deal.find(id) # look up deal by unique ID
    # will render app/views/deals/show.<extension> by default
  end

  def index
    @deals = Deal.all
  end

  def new
    # default: render 'new' template
    @restaurant = Restaurant.find(params[:restaurant_id])
  end

  def create
    @restaurant = Restaurant.find(params[:restaurant_id])
    @deal = Deal.new(params[:deal])
    @deal.restaurants << @restaurant
    if @deal.save
      flash[:notice] = 'Deal successfully created.'
      redirect_to deal_path(@deal)
    else
      flash[:notice] = 'Deal could not be created.'
      render :action => 'new'
    end
  end

  def edit
    @deal = Deal.find params[:id]
  end

  def update
    @deal = Deal.find params[:id]
    @deal.update_attributes!(params[:deal])
    flash[:notice] = "#{@deal.description} was successfully updated."
    redirect_to deal_path(@deal)
  end

  def destroy
    @deal = Deal.find(params[:id])
    @deal.destroy
    flash[:notice] = "Deal '#{@deal.description}' deleted."
    redirect_to deals_path
  end
end
