class RestaurantsController < ApplicationController
  
  before_filter :set_current_user
  
  def show
    id = params[:id] # retrieve restaurant ID from URI route
    @restaurant = Restaurant.find(id) # look up restaurant by unique ID
    @reviews = @restaurant.reviews.all
    # will render app/views/restaurants/show.<extension> by default
  end

  def index
    @restaurants = Restaurant.all
  end

  def new
    # default: render 'new' template
  end

  def create
    #set_current_user(@current_user,@current_user.remember_token)
#    if @current_user.save
#      flash[:notice] = "Dater changed to restaurant owner."
#    else
#      flash[:error] = "Dater NOT changed to restaurant owner."
#    end 
    @restaurant = Restaurant.create!(params[:restaurant])
    flash[:notice] = "#{@restaurant.name} was successfully created."
    @current_user.update_attribute(:owner, true)
    cookies.permanent[:remember_token] = @current_user.remember_token
    redirect_to restaurant_path(@restaurant)
  end

  def edit
    @restaurant = Restaurant.find params[:id]
  end

  def update
    @restaurant = Restaurant.find params[:id]
    @restaurant.update_attributes!(params[:restaurant])
    flash[:notice] = "#{@restaurant.name} was successfully updated."
    redirect_to restaurant_path(@restaurant)
  end

  def destroy
    @restaurant = Restaurant.find(params[:id])
    @restaurant.destroy
    flash[:notice] = "Restaurant '#{@restaurant.name}' deleted."
    redirect_to restaurants_path
  end

end
