class ReviewsController < ApplicationController

  before_filter :set_current_user

  def show
    id = params[:id]
    @review = Review.find(id)
  end

  def new
    # restaurant_id because of nested route
    @restaurant = Restaurant.find(params[:restaurant_id])
  end

  def create
    @restaurant = Restaurant.find(params[:restaurant_id])
    @review = Review.new(params[:review])
    @review.daters << @current_user
    @review.restaurants << @restaurant
    if @review.save
      flash[:notice] = 'Review successfully created.'
      redirect_to review_path(@review)
    else
      flash[:notice] = 'Review could not be created.'
      render :action => 'new'
    end
  end

  def edit
    @review = Review.find params[:id]
  end

  def update
    @review = Review.find params[:id]
    @review.update_attributes!(params[:review])
    flash[:notice] = "#{@review.title} was successfully updated."
    redirect_to review_path(@review)
  end

  def destroy
    @review = Review.find(params[:id])
    @review.destroy
    flash[:notice] = "Review '#{@review.title}' deleted."
    redirect_to restaurants_path
  end

end
