# This file should contain all the record creation needed to seed the database with its default values.
# The data can then be loaded with the rake db:seed (or created alongside the db with db:setup).
#
# Examples:
#
#   cities = City.create([{ name: 'Chicago' }, { name: 'Copenhagen' }])
#   Mayor.create(name: 'Emanuel', city: cities.first)

seed_daters = [{:name=>"Joe",:email=>"joe@gmail.com",:password=>"password",:password_confirmation=>"password",:owner=>true}, {:name=>"Jane",:email=>"jane@gmail.com",:password=>"password",:password_confirmation=>"password",:owner=>true}, {:name=>"John",:email=>"john@gmail.com",:password=>"password",:password_confirmation=>"password",:owner=>true}, {:name=>"Jill",:email=>"jill@gmail.com",:password=>"password",:password_confirmation=>"password",:owner=>true}, {:name=>"Jim",:email=>"jim@gmail.com",:password=>"password",:password_confirmation=>"password",:owner=>true},
{:name=>"Johnny Reviewer Guy",:email=>"johnny@gmail.com",:password=>"password",:password_confirmation=>"password",:owner=>false}]

seed_daters.each do |dater|
  Dater.create!(dater)
end

seed_restaurants = [{:name  => 'Shorts', :address => '18 South Clinton Street Iowa City, IA 52240', :phone => '(319) 337-4678', :hours => "10AM-10PM MON-SUN", :style => "American", :daters => Dater.where("name in ('Joe')")},
          {:name  => 'The Vine', :address => '330 E Prentiss St  Iowa City, IA 52240', :phone => '(319) 354-8767', :hours => "10AM-10PM MON-SUN", :style => "American", :daters => Dater.where("name in ('Jane')")},
          {:name  => 'Basta', :address => '121 Iowa Ave  Iowa City, IA 52240', :phone => '(319) 337-2010', :hours => "10AM-10PM MON-SUN", :style => "Italian", :daters => Dater.where("name in ('John')")},
          {:name  => 'The Wedge', :address => '136 S. Dubuque St. Iowa City, IA 52240', :phone => '(319) 351-9400', :hours => "11AM-MIDNIGHT MON-SUN", :style => "Pizza", :daters => Dater.where("name in ('Jill')")},
          {:name  => 'Airliner', :address => '22 S Clinton St  Iowa City, IA 52240', :phone => '(319) 351-9259', :hours => "10AM-2AM MON-SUN", :style => "Pizza", :daters => Dater.where("name in ('Jim')")}]

seed_restaurants.each do |restaurant|
  Restaurant.create!(restaurant)
end
  	 
seed_deals = [ {:description => '$6 burger baskets', :day => 'Monday', :start_time => 11, :end_time => 21, :awesomeness => 7, :restaurants => Restaurant.where("name in ('Shorts')")},
	{:description => 'half price pizza', :day => 'Tuesday', :start_time => 10, :end_time => 22, :awesomeness => 9.5, :restaurants => Restaurant.where("name in ('Airliner')")},
	{:description => 'half price wings', :day => 'Wednesday', :start_time => 18, :end_time => 22, :awesomeness => 6, :restaurants => Restaurant.where("name in ('The Vine')")}]
	
seed_deals.each do |deal|
	Deal.create!(deal)
end 
				
seed_reviews = [{:title  => 'Shorts Rocks', :stars => '5', :description => "Good Beer", :restaurants => Restaurant.where("name in ('Shorts')"), :daters => Dater.where("name in ('Johnny Reviewer Guy')")},
						{:title  => 'The Vine is crowded', :stars => '3', :description => "Way too packed. I couldn't move without having to push through people.", :restaurants => Restaurant.where("name in ('The Vine')"), :daters => Dater.where("name in ('Johnny Reviewer Guy')")}]

seed_reviews.each do |review|
  Review.create!(review)
end

