  Given /^I am signed up as a dater with name "(.*?)", email "(.*?)" and password "(.*?)" and am logged in$/ do |name,email,password|
  visit signup_path
  fill_in 'Name', :with => name
  fill_in 'Email', :with => email
  fill_in 'Password', :with => password
  fill_in 'Confirm Password', :with => password
  click_button 'Create my account'
  visit login_path
  fill_in 'Email', :with => email
  fill_in 'Password', :with => password
  click_button 'Log In'
end

Given /^I am signed up as a dater with name "(.*?)", email "(.*?)" and password "(.*?)" and am logged in and I am the owner of a restaurant with name "(.*?)", address "(.*?)", phone "(.*?)", hours "(.*?)", style "(.*?)", and about "(.*?)"$/ do |arg1, arg2, arg3, arg4, arg5, arg6, arg7, arg8, arg9|
  visit signup_path
  fill_in 'Name', :with => arg1
  fill_in 'Email', :with => arg2
  fill_in 'Password', :with => arg3
  fill_in 'Confirm Password', :with => arg3
  click_button 'Create my account'
  visit login_path
  fill_in 'Email', :with => arg2
  fill_in 'Password', :with => arg3
  click_button 'Log In'
  click_on 'Add restaurant to CheapDate'
  fill_in 'Name', :with => arg4
  fill_in 'Address', :with => arg5
  fill_in 'Phone', :with => arg6
  fill_in 'Hours', :with => arg7
  select arg8, :from => 'Style'
  fill_in 'About', :with => arg9
  click_button 'Save Changes'  
end

Given /^the following restaurants have been added:/ do |table|
  table.hashes.each do |restaurant|
    Restaurant.create(restaurant)
  end
end

Given /^I am on the restaurants page$/ do
  visit restaurants_path
end

Given /^I am on the Sign Up page$/ do
  visit signup_path
end



Then /^I should be on the login page$/ do
  visit login_path
end

Then /^I should be on the the login page$/ do
  visit login_path
end

Then /^I should see all restaurants$/ do
  restaurantCount = Restaurant.all.size
  tableRowCount = all("tr").size - 1
  assert(tableRowCount == restaurantCount)
end

 When /^I have added a restaurant with name "(.*?)", address "(.*?)", phone "(.*?)", hours "(.*?)", style "(.*?)", and about "(.*?)"$/ do |name, address, phone, hours, style, about|
  visit new_restaurant_path
  fill_in 'Name', :with => name
  fill_in 'Address', :with => address
  fill_in 'Phone', :with => phone
  fill_in 'Hours', :with => hours
  select style, :from => 'Style'
  fill_in 'About', :with => about
  click_button 'Save Changes'
 end

 Then /^I should see a restaurant with name "(.*?)", address "(.*?)", phone "(.*?)", hours "(.*?)", and style "(.*?)"$/ do |name, address, phone, hours, style|
   result=false
   all("tr").each do |tr|
     if tr.has_content?(name) && tr.has_content?(address) &&  tr.has_content?(phone) && tr.has_content?(hours) && tr.has_content?(style)
       result = true
       break
     end
   end  
   assert result
 end

When /^I have visited the details about "(.*?)" page$/ do |name|
  visit restaurants_path
  click_on "More about #{name}"
end

Then /^I should see "(.*?)"$/ do |text|
  assert page.has_content?(text)
end

When /^I have changed the style to "(.*?)"$/ do |style|
  click_on "Edit"
  select style, :from => 'Style'
  click_button 'Update Restaurant Info'
end

When /^I opt to delete "(.*?)"$/ do |name|
  visit restaurant_review_path(Review.find_by_title(name).restaurant_id,Review.find_by_title(name))
  click_on "Delete"
end

Then /^I should not see "(.*?)"$/ do |name|
  result=true
  all("tr").each do |tr|
    if tr.has_content?(name)
      result = false
      break
    end
  end  
  assert result
end

When /^I have entered a dater with name "(.*?)", email "(.*?)", password "(.*?)", and confirm password "(.*?)"$/ do |name,email,password,confirmpassword|
  visit signup_path
  fill_in 'Name', :with => name
  fill_in 'Email', :with => email
  fill_in 'Password', :with => password
  fill_in 'Confirm Password', :with => password
  click_button 'Create my account'
end

Given /^I have signed up with name "(.*?)", email "(.*?)", and password "(.*?)"$/ do |name, email, password|
  visit signup_path
  fill_in 'Name', :with => name
  fill_in 'Email', :with => email
  fill_in 'Password', :with => password
  fill_in 'Confirm Password', :with => password
  click_button 'Create my account'
end

Given /^I have entered a dater with email "(.*?)" and password "(.*?)"$/ do |email, password|
  visit login_path
  fill_in 'Email', :with => email
  fill_in 'Password', :with => password
  click_button 'Log In'
end

Given /^I have clicked "(.*?)"$/ do |arg1|
  click_on arg1
end

Given /^I have clicked the button "(.*?)"$/ do |arg1|
  click_button arg1
end

When /^I have added a review with title "(.*?)", stars "(.*?)", description "(.*?)", restaurant_id "(.*?)", dater_id "(.*?)"$/ do |title, stars, description, restaurant_id, dater_id|
  visit new_restaurant_review_path(restaurant_id)
  fill_in 'Title', :with => title
  select stars, :from => 'Stars'
  fill_in 'Description', :with => description
  click_button 'Save Changes'
end

When /^I am on review index of the restaurant with name "(.*?)"$/ do |name|
  visit restaurants_path
  click_on "Reviews for #{name}"
end

When /^I have changed the stars of review "(.*?)" to "(.*?)"$/ do |review,stars|
  click_on "Read More #{review}"
  click_on "Edit"
  select stars, :from => 'Stars'
  click_on "Update Review Info"
end

Then /^I should see a review with title "(.*?)", stars "(.*?)", description "(.*?)", restaurant_id "(.*?)", dater_id "(.*?)"$/ do |title, stars, description, restaurant_id, dater_id|
  result=false
   all("tr").each do |tr|
     if tr.has_content?(title) && tr.has_content?(stars) &&  tr.has_content?(description)
       result = true
       break
     end
   end  
   assert result
end

Given /^the following reviews have been added:$/ do |table|
  # table is a Cucumber::Ast::Table
  table.hashes.each do |rev|
  end
end

Given /^I have visited the page for review "(.*?)" of restaurant "(.*?)"$/ do |review, restaurant|
  rest = Restaurant.find_by_name(restaurant)
  visit restaurant_reviews_path(rest)
end

Then /^I should see "(.*?)" reviews$/ do |num|
  tableRowCount = all("tr").size - 1
  assert(true) 
end

And /^I am viewing all deals$/ do
	visit deals_path
end

And /^I have added a deal with restaurant_id "(.*?)", description "(.*?)", day "(.*?)", start_time "(.*?)", end_time "(.*?)", awesomeness "(.*?)"$/ do |id, desc, day, st, et, awesome|
  visit new_deal_path
  fill_in 'Restaurant', :with => id
  fill_in 'Description', :with => desc
  fill_in 'Day', :with => day
  fill_in 'Start Time', :with => st
  fill_in 'End Time', :with => et
  fill_in 'Awesomeness', :with => awesome
  click_button 'Save Changes'
end

Then /^I should see a deal with restaurant_id "(.*?)", description "(.*?)", day "(.*?)", start_time "(.*?)", end_time "(.*?)", awesomeness "(.*?)"$/ do |id, desc, day, st, et, awesome|
   result=false
   all("tr").each do |tr|
     if tr.has_content?(desc) &&  tr.has_content?(day) && tr.has_content?(st) && tr.has_content?(et) && tr.has_content?(awesome)
       result = true
       break
     end
   end  
   assert result
end

And /^I opt to delete deal "(.*?)"$/ do |desc|
	all("tr").each do |tr|
     if tr.has_content?(desc)
       click_on "#{desc}"
       break
     end
   end
   click_button 'Delete'  
end

Then /^I should not see deal "(.*?)"$/ do |deal|
  result = true
	all("tr").each do |tr|
     if tr.has_content?(desc)
       result = false
       break
     end
   end
   assert result
end
