require 'spec_helper'

describe RestaurantsController do
	before :each do
		@a_restaurant = stub('double').as_null_object
		@restaurant = [mock('restaurant1')]
	end	
	
	describe "show the index" do
    it "should render_template 'index'" do
      get :index
      response.should render_template 'index'
    end
  end
	
	describe 'change info of an existing restaurant' do
		before :each do
			restaurant_id = 5
			Restaurant.should_receive(:find).with(restaurant_id.to_s).and_return(@a_restaurant)
			@a_restaurant.should_receive(:update_attributes!).exactly 1
			put :update, {:id => restaurant_id, :restaurant => @restaurant}
		end
		it 'should call a model method to change the info' do
			true
		end
		it 'should redirect to show template for rendering' do
			response.should redirect_to(restaurant_path @a_restaurant)
		end
		it 'new info should be available' do
			assigns(:restaurant).should == @a_restaurant
		end
	end
	
	describe 'make a new restaurant' do
		it 'should render the new template' do
			get :new
			response.should render_template 'new'
		end
		it 'should call a model method to post data' do
			restaurant = stub('new restaurant').as_null_object
			Restaurant.should_receive(:create!).and_return(restaurant)
			post :create, {:restaurant => restaurant}
		end
		it 'should render index template' do
			restaurant = stub('new restaurant').as_null_object
			Restaurant.stub(:create!).and_return(restaurant)
			post :create, {:restaurant => restaurant}
			response.should redirect_to(restaurants_path)
		end
	end
	
	describe 'destroy an existing restaurant' do
		it 'should render edit restaurant template' do
			Restaurant.stub(:find)
			get :edit, {:id => 5}
			response.should render_template 'edit'
		end
		it 'should call a model method to update data' do
			my_restaurant = mock('a restaurant').as_null_object
			Restaurant.should_receive(:find).and_return(my_restaurant)
			my_restaurant.should_receive(:destroy)
			delete :destroy, {:id => 1}
		end
	end
end
